at.chipkarte.client.ebs.soap

## Class LeistungsantragNacherfassen

- Object
- - at.chipkarte.client.ebs.soap.LeistungsantragNacherfassen

-     public class LeistungsantragNacherfassen
      extends Object

  Dient der Nacherfassung von Anträgen mittels der Funktion nacherfassenAntrag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeistungsantragNacherfassen()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adressdaten` | `getAdressePatient()` Adressdaten zum Patienten.
    `String` | `getAnsprechpersonNacherfasser()` Ansprechperson des nacherfassenden Vertragspartners.
    `String` | `getAnsprechpersonPatient()` Vor- und Zuname einer Ansprechperson.
    `String` | `getAntragstyp()` Definiert welche spezifischen Daten anzugeben sind.
    `AttachmentInfo` | `getAttachmentInfo()` Informationen das Attachment betreffend.
    `CtAntragsdaten` | `getCtAntragsdaten()` Daten für einen CT Antrag.
    `EkvkPatient` | `getEkvkPatient()` Patientendaten eines Patienten ohne SV-Nummer.
    `GenerelleMedizinischeAntragsdaten` | `getGenerelleMedizinischeAntragsdaten()` Generelle medizinische Antragsdaten.
    `GewuenschteLeistung[]` | `getGewuenschteLeistungen()` Gewünschte Leistungen des Antrags.
    `HumAntragsdaten` | `getHumAntragsdaten()` Daten für einen HUM Antrag.
    `KdmAntragsdaten` | `getKdmAntragsdaten()` Daten für einen KDM Antrag.
    `KontaktdatenVerordner` | `getKontaktdatenVerordner()` Kontaktdaten zum Verordner.
    `String` | `getKvt()` KV-Träger bei dem der Patient versichert ist.
    `MrAntragsdaten` | `getMrAntragsdaten()` Daten für einen MR Antrag.
    `NukAntragsdaten` | `getNukAntragsdaten()` Daten für einen NUK Antrag.
    `Verstaendigung` | `getPatientenverstaendigung()` Patientenverständigung.
    `RoetAntragsdaten` | `getRoetAntragsdaten()` Daten für einen ROET Antrag.
    `RoeuAntragsdaten` | `getRoeuAntragsdaten()` Daten für einen ROEU Antrag.
    `String` | `getSonstiges()` Sonstiges.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `VerordnerInformation` | `getVerordnerFreitextangabe()` Freitextangabe (Namens- und Adressdaten) des Verordners.
    `String` | `getVerordnerVpnr()` Vertragspartnernummer des Verordners.
    `String` | `getVerordnungsdatum()` Datum der Originalverordnung.
    `void` | `setAdressePatient(Adressdaten adressePatient)`
    `void` | `setAnsprechpersonNacherfasser(String ansprechpersonNacherfasser)`
    `void` | `setAnsprechpersonPatient(String ansprechpersonPatient)`
    `void` | `setAntragstyp(String antragstyp)`
    `void` | `setAttachmentInfo(AttachmentInfo attachmentInfo)`
    `void` | `setCtAntragsdaten(CtAntragsdaten ctAntragsdaten)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setGenerelleMedizinischeAntragsdaten(GenerelleMedizinischeAntragsdaten generelleMedizinischeAntragsdaten)`
    `void` | `setGewuenschteLeistungen(GewuenschteLeistung[] gewuenschteLeistungen)`
    `void` | `setHumAntragsdaten(HumAntragsdaten humAntragsdaten)`
    `void` | `setKdmAntragsdaten(KdmAntragsdaten kdmAntragsdaten)`
    `void` | `setKontaktdatenVerordner(KontaktdatenVerordner kontaktdatenVerordner)`
    `void` | `setKvt(String kvt)`
    `void` | `setMrAntragsdaten(MrAntragsdaten mrAntragsdaten)`
    `void` | `setNukAntragsdaten(NukAntragsdaten nukAntragsdaten)`
    `void` | `setPatientenverstaendigung(Verstaendigung patientenverstaendigung)`
    `void` | `setRoetAntragsdaten(RoetAntragsdaten roetAntragsdaten)`
    `void` | `setRoeuAntragsdaten(RoeuAntragsdaten roeuAntragsdaten)`
    `void` | `setSonstiges(String sonstiges)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setVerordnerFreitextangabe(VerordnerInformation verordnerFreitextangabe)`
    `void` | `setVerordnerVpnr(String verordnerVpnr)`
    `void` | `setVerordnungsdatum(String verordnungsdatum)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LeistungsantragNacherfassen

          public LeistungsantragNacherfassen()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `nacherfassenAntrag()`) oder ein `ekvkPatient` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Die Angabe eines ekvkPatienten gemeinsam mit einer svNummer und/oder einem Cardtoken ist nicht zulässig.
      Format: 10-stellig
      Returns:
        SvNummer.

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      Patientendaten eines Patienten ohne SV-Nummer. Siehe `EkvkPatient`.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `nacherfassenAntrag()`) oder ein `ekvkPatient` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Die Angabe eines ekvkPatienten gemeinsam mit einer svNummer und/oder einem Cardtoken ist nicht zulässig.
      Returns:
        EkvkPatient.

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getKvt

          public String getKvt()

      KV-Träger bei dem der Patient versichert ist.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        Kvt.

    - #### setKvt

          public void setKvt(String kvt)

    - #### getPatientenverstaendigung

          public Verstaendigung getPatientenverstaendigung()

      Patientenverständigung. Siehe `Verstaendigung`.
      Angabe: Muss.
      Returns:
        Patientenverstaendigung.

    - #### setPatientenverstaendigung

          public void setPatientenverstaendigung(Verstaendigung patientenverstaendigung)

    - #### getAnsprechpersonPatient

          public String getAnsprechpersonPatient()

      Vor- und Zuname einer Ansprechperson.
      Angabe: Kann.
      Format: 140-stellig
      Returns:
        AnsprechpersonPatient.

    - #### setAnsprechpersonPatient

          public void setAnsprechpersonPatient(String ansprechpersonPatient)

    - #### getAdressePatient

          public Adressdaten getAdressePatient()

      Adressdaten zum Patienten. Siehe `Adressdaten`.
      Angabe: Kann.
      Returns:
        AdressePatient.

    - #### setAdressePatient

          public void setAdressePatient(Adressdaten adressePatient)

    - #### getAntragstyp

          public String getAntragstyp()

      Definiert welche spezifischen Daten anzugeben sind.
      Mögliche Werte (Code der Basisdaten im AntragstypDetail) siehe `antragstypenErmitteln`.
      Angabe: Muss.
      Returns:
        Antragstyp.

    - #### setAntragstyp

          public void setAntragstyp(String antragstyp)

    - #### getGenerelleMedizinischeAntragsdaten

          public GenerelleMedizinischeAntragsdaten getGenerelleMedizinischeAntragsdaten()

      Generelle medizinische Antragsdaten. Siehe `GenerelleMedizinischeAntragsdaten`.
      Angabe: Muss.
      Returns:
        GenerelleMedizinischeAntragsdaten.

    - #### setGenerelleMedizinischeAntragsdaten

          public void setGenerelleMedizinischeAntragsdaten(GenerelleMedizinischeAntragsdaten generelleMedizinischeAntragsdaten)

    - #### getAnsprechpersonNacherfasser

          public String getAnsprechpersonNacherfasser()

      Ansprechperson des nacherfassenden Vertragspartners.
      Hinweis: Vor- und Zuname einer Ansprechperson.
      Angabe: Kann.
      Format: 140-stellig
      Returns:
        AnsprechpersonNacherfasser.

    - #### setAnsprechpersonNacherfasser

          public void setAnsprechpersonNacherfasser(String ansprechpersonNacherfasser)

    - #### getVerordnungsdatum

          public String getVerordnungsdatum()

      Datum der Originalverordnung.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Wertebereich: Darf nicht in der Zukunft liegen. Die Nacherfassung ist nur innerhalb eines Monats nach Ausstellung der Originalverordnung möglich
      Returns:
        Verordnungsdatum.

    - #### setVerordnungsdatum

          public void setVerordnungsdatum(String verordnungsdatum)

    - #### getCtAntragsdaten

          public CtAntragsdaten getCtAntragsdaten()

      Daten für einen CT Antrag. Siehe `CtAntragsdaten`.
      Angabe: Kann.
      Returns:
        CtAntragsdaten.

    - #### setCtAntragsdaten

          public void setCtAntragsdaten(CtAntragsdaten ctAntragsdaten)

    - #### getMrAntragsdaten

          public MrAntragsdaten getMrAntragsdaten()

      Daten für einen MR Antrag. Siehe `MrAntragsdaten`.
      Angabe: Kann.
      Returns:
        MrAntragsdaten.

    - #### setMrAntragsdaten

          public void setMrAntragsdaten(MrAntragsdaten mrAntragsdaten)

    - #### getNukAntragsdaten

          public NukAntragsdaten getNukAntragsdaten()

      Daten für einen NUK Antrag. Siehe `NukAntragsdaten`.
      Angabe: Kann.
      Returns:
        NukAntragsdaten.

    - #### setNukAntragsdaten

          public void setNukAntragsdaten(NukAntragsdaten nukAntragsdaten)

    - #### getHumAntragsdaten

          public HumAntragsdaten getHumAntragsdaten()

      Daten für einen HUM Antrag. Siehe `HumAntragsdaten`.
      Angabe: Kann.
      Returns:
        HumAntragsdaten.

    - #### setHumAntragsdaten

          public void setHumAntragsdaten(HumAntragsdaten humAntragsdaten)

    - #### getKdmAntragsdaten

          public KdmAntragsdaten getKdmAntragsdaten()

      Daten für einen KDM Antrag. Siehe `KdmAntragsdaten`.
      Angabe: Kann.
      Returns:
        KdmAntragsdaten.

    - #### setKdmAntragsdaten

          public void setKdmAntragsdaten(KdmAntragsdaten kdmAntragsdaten)

    - #### getRoetAntragsdaten

          public RoetAntragsdaten getRoetAntragsdaten()

      Daten für einen ROET Antrag. Siehe `RoetAntragsdaten`.
      Angabe: Kann.
      Returns:
        RoetAntragsdaten.

    - #### setRoetAntragsdaten

          public void setRoetAntragsdaten(RoetAntragsdaten roetAntragsdaten)

    - #### getRoeuAntragsdaten

          public RoeuAntragsdaten getRoeuAntragsdaten()

      Daten für einen ROEU Antrag. Siehe `RoeuAntragsdaten`.
      Angabe: Kann.
      Returns:
        RoeuAntragsdaten.

    - #### setRoeuAntragsdaten

          public void setRoeuAntragsdaten(RoeuAntragsdaten roeuAntragsdaten)

    - #### getGewuenschteLeistungen

          public GewuenschteLeistung[] getGewuenschteLeistungen()

      Gewünschte Leistungen des Antrags. Siehe `GewuenschteLeistung`.
      Angabe: Muss. Es muss mindestens eine gewünschte Leistung angegeben werden. Es dürfen maximal 10 gewünschte Leistungen angegeben werden.
      Returns:
        GewuenschteLeistungen.

    - #### setGewuenschteLeistungen

          public void setGewuenschteLeistungen(GewuenschteLeistung[] gewuenschteLeistungen)

    - #### getAttachmentInfo

          public AttachmentInfo getAttachmentInfo()

      Informationen das Attachment betreffend. Siehe `AttachmentInfo`.
      Hinweis: Bei Nacherfassung ist die Angabe eines Attachments verpflichtend, da zwingend eine Originalverordnung übergeben werden muss.
      Angabe: Muss. Muss angegeben werden wenn ein Attachment als SOAP Attachment angegeben wurde.
      Returns:
        AttachmentInfo.

    - #### setAttachmentInfo

          public void setAttachmentInfo(AttachmentInfo attachmentInfo)

    - #### getVerordnerVpnr

          public String getVerordnerVpnr()

      Vertragspartnernummer des Verordners.
      Angabe: Bedingt. Entweder die Verordner VPNR oder die Verordner Freitextangabe muss angegeben werden.
      Format: 6-stellig
      Returns:
        VerordnerVpnr.

    - #### setVerordnerVpnr

          public void setVerordnerVpnr(String verordnerVpnr)

    - #### getVerordnerFreitextangabe

          public VerordnerInformation getVerordnerFreitextangabe()

      Freitextangabe (Namens- und Adressdaten) des Verordners. Siehe `VerordnerInformation`.
      Angabe: Bedingt. Entweder die Verordner VPNR oder die Verordner Freitextangabe muss angegeben werden.
      Returns:
        VerordnerFreitextangabe.

    - #### setVerordnerFreitextangabe

          public void setVerordnerFreitextangabe(VerordnerInformation verordnerFreitextangabe)

    - #### getKontaktdatenVerordner

          public KontaktdatenVerordner getKontaktdatenVerordner()

      Kontaktdaten zum Verordner. Siehe `KontaktdatenVerordner`.
      Angabe: Kann.
      Returns:
        KontaktdatenVerordner.

    - #### setKontaktdatenVerordner

          public void setKontaktdatenVerordner(KontaktdatenVerordner kontaktdatenVerordner)

    - #### getSonstiges

          public String getSonstiges()

      Sonstiges.
      Angabe: Kann.
      Format: 256-stellig
      Returns:
        Sonstiges.

    - #### setSonstiges

          public void setSonstiges(String sonstiges)